Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.credentials
Interface UserPasswordCredentialMapEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface, UserPasswordCredentialMapReaderMBean

All Known Subinterfaces:
  DefaultCredentialMapperMBean

public interface UserPasswordCredentialMapEditorMBean
extends UserPasswordCredentialMapReaderMBean

Provides a set of methods for creating, editing, and removing a credential map that matches WebLogic users to remote usernames and their corresponding passwords. A Credential Mapping-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when a Credential Mapping provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `removeUserPasswordCredential(String resourceId, String remoteUserName)` Removes the credential that is created on the specified resource and remote username.
`void` | `removeUserPasswordCredentialMapping(String resourceId, String wlsUserName)` Removes the mapping from a webLogic username to a remote username-password credential for the specified resource.
`void` | `setUserPasswordCredential(String resourceId, String remoteUserName, String remotePassword)` Sets a remote user-password credential for the specified resource.
`void` | `setUserPasswordCredentialMapping(String resourceId, String wlsUserName, String remoteUserName)` Creates a mapping from a webLogic username to a remote username-password credential for the specified resource.

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapReaderMBean
`getCurrentCredentialRemotePassword, getCurrentCredentialRemoteUserName, getCurrentMappingRemoteUserName, getCurrentMappingWLSUserName, getRemotePassword, getRemoteUserName, listCredentials, listMappings`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### removeUserPasswordCredential

    public void removeUserPasswordCredential(String resourceId,
                                             String remoteUserName)
                                      throws NotFoundException

  Removes the credential that is created on the specified resource and remote username. If you created a credential map that specifies this username, the map becomes invalid. Users must remove any credential mappings created for the credential and the specified resource before removing the credential.

  Parameters:
    `resourceId` - - The resource for which the credential is to be removed.
    `remoteUserName` - - The name of remote user.
  Throws:
    `NotFoundException` - thrown in the credential is not found.

### removeUserPasswordCredentialMapping

    public void removeUserPasswordCredentialMapping(String resourceId,
                                                    String wlsUserName)
                                             throws NotFoundException

  Removes the mapping from a webLogic username to a remote username-password credential for the specified resource.

  Parameters:
    `resourceId` - - The resource for which the credential mapping is removed.
    `wlsUserName` - - The user name of the webLogic user.
  Throws:
    `NotFoundException` - thrown of the mapping does not exist.

### setUserPasswordCredential

    public void setUserPasswordCredential(String resourceId,
                                          String remoteUserName,
                                          String remotePassword)

  Sets a remote user-password credential for the specified resource. If a new new username is specified, this method creates a new user-password credential. If you specify an existing username, this method replaces the user's password.

  Parameters:
    `resourceId` - - The resource for which the credential is created.
    `remoteUserName` - - The username for the credential.
    `remotePassword` - - The password for the credential.

### setUserPasswordCredentialMapping

    public void setUserPasswordCredentialMapping(String resourceId,
                                                 String wlsUserName,
                                                 String remoteUserName)
                                          throws NotFoundException

  Creates a mapping from a webLogic username to a remote username-password credential for the specified resource. The credential for the remoteusername for the specified resource should be created before this mapping is created.

  Parameters:
    `resourceId` - - The resource for which the credential mapping is created.
    `wlsUserName` - - The user name of the webLogic user.
    `remoteUserName` - - The name of remote user the mapping is being created for.
  Throws:
    `NotFoundException` - thrown when the user-password credentail is not created before the mapping is created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD